summaryrefslogtreecommitdiff
path: root/source3/script/tests/test_smbtorture_s3.sh
diff options
context:
space:
mode:
authorJeremy Allison <jra@samba.org>2009-10-20 17:53:06 -0700
committerJeremy Allison <jra@samba.org>2009-10-20 17:53:06 -0700
commit9356265802c908dc41189229d9a942e42b7bc4aa (patch)
treed69b4c23fcb8a870842cf2109d02275866e3ccca /source3/script/tests/test_smbtorture_s3.sh
parentbb7cf9ad23b05416aa6a50de8b2b3b6aad674809 (diff)
downloadsamba-9356265802c908dc41189229d9a942e42b7bc4aa.tar.gz
samba-9356265802c908dc41189229d9a942e42b7bc4aa.tar.bz2
samba-9356265802c908dc41189229d9a942e42b7bc4aa.zip
Turn on LOCK9 test which will test for regressions in bug 6828.
Jeremy.
Diffstat (limited to 'source3/script/tests/test_smbtorture_s3.sh')
-rwxr-xr-xsource3/script/tests/test_smbtorture_s3.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/source3/script/tests/test_smbtorture_s3.sh b/source3/script/tests/test_smbtorture_s3.sh
index 602433bd91..a6ac9482a6 100755
--- a/source3/script/tests/test_smbtorture_s3.sh
+++ b/source3/script/tests/test_smbtorture_s3.sh
@@ -24,7 +24,7 @@ incdir=`dirname $0`
SMB_CONF_PATH="$CONFFILE"
export SMB_CONF_PATH
-tests="FDPASS LOCK1 LOCK2 LOCK3 LOCK4 LOCK5 LOCK6 LOCK7"
+tests="FDPASS LOCK1 LOCK2 LOCK3 LOCK4 LOCK5 LOCK6 LOCK7 LOCK9"
#tests="$tests UNLINK BROWSE ATTR TRANS2 MAXFID TORTURE "
tests="$tests UNLINK BROWSE ATTR TRANS2 TORTURE "
tests="$tests OPLOCK1 OPLOCK2 OPLOCK3 STREAMERROR"
@@ -53,7 +53,7 @@ for t in $tests; do
fi
start=""
name="$t"
- testit "$name" $VALGRIND $BINDIR/smbtorture $unc -U"$username"%"$password" $ADDARGS $t || failed=`expr $failed + 1`
+ testit "$name" $VALGRIND $BINDIR/smbtorture $unc -U"$username"%"$password" -l"$PREFIX_ABS"/tmp $ADDARGS $t || failed=`expr $failed + 1`
done
testok $0 $failed